deploy:
  services:
    - name: api
      source-jar: api-1.0.0-SNAPSHOT.jar
      replicas: 10
    - name: service-gateway
      source-jar: service-gateway-1.0.0-SNAPSHOT.jar
    - name: service-queue
      source-jar: service-queue-1.0.0-SNAPSHOT.jar
      replicas: 1
      arguments:
        data_save_enable: true
        data_save_location: ${deploy.runtime.data-path}
    - name: service-scheduler
      source-jar: service-scheduler-1.0.0-SNAPSHOT.jar
      replicas: 1
    - name: service-launcher-runner-b1
      source-jar: service-launcher-runner-b2b1-1.0.0-SNAPSHOT.jar
      replicas: 6
      environments:
        connector_hadoop_kerberos-principal: ${deploy.runtime.user}/$\{hostname}.hdp.dc@ECLD.COM
        connector_hadoop_kerberos-keytab-path: ${deploy.runtime.kerberos-keytab-path}
        connector_hudi_app-hdfs-path: ${deploy.runtime.hudi.app-hdfs-path}
        connector_hudi_archive-hdfs-path: ${deploy.runtime.hudi.archive-hdfs-path}
        connector_hudi_victoria-push-url: ${deploy.runtime.hudi.victoria-push-url}
        connector_hudi_loki-push-url: ${deploy.runtime.hudi.loki-push-url}
      arguments:
        spring_application_name: service-launcher-runner-b1
        connector_cluster_cluster: b1
        connector_cluster_sync-queue-name: sync-queue-b1
        connector_cluster_compaction-queue-name: compaction-queue-b1
        connector_zookeeper_connect-url: ${deploy.runtime.connector-zk-url}
    - name: service-launcher-runner-b5
      source-jar: service-launcher-runner-b2b5-1.0.0-SNAPSHOT.jar
      replicas: 6
      environments:
        connector_hadoop_kerberos-principal: ${deploy.runtime.user}/$\{hostname}.hdp.dc@ECLD.COM
        connector_hadoop_kerberos-keytab-path: ${deploy.runtime.kerberos-keytab-path}
        connector_hudi_app-hdfs-path: ${deploy.runtime.hudi.app-hdfs-path}
        connector_hudi_archive-hdfs-path: ${deploy.runtime.hudi.archive-hdfs-path}
        connector_hudi_victoria-push-url: ${deploy.runtime.hudi.victoria-push-url}
        connector_hudi_loki-push-url: ${deploy.runtime.hudi.loki-push-url}
      arguments:
        spring_application_name: service-launcher-runner-b5
        connector_cluster_cluster: b5
        connector_cluster_sync-queue-name: sync-queue-b5
        connector_cluster_compaction-queue-name: compaction-queue-b5
        connector_zookeeper_connect-url: ${deploy.runtime.connector-zk-url}
    - name: service-launcher-runner-b5-sync
      source-jar: service-launcher-runner-b2b5sync-1.0.0-SNAPSHOT.jar
      replicas: 6
      environments:
        connector_hadoop_kerberos-principal: ${deploy.runtime.user}/$\{hostname}.hdp.dc@ECLD.COM
        connector_hadoop_kerberos-keytab-path: ${deploy.runtime.kerberos-keytab-path}
        connector_hudi_app-hdfs-path: ${deploy.runtime.hudi.app-hdfs-path}
        connector_hudi_archive-hdfs-path: ${deploy.runtime.hudi.archive-hdfs-path}
        connector_hudi_victoria-push-url: ${deploy.runtime.hudi.victoria-push-url}
        connector_hudi_loki-push-url: ${deploy.runtime.hudi.loki-push-url}
      arguments:
        spring_application_name: service-launcher-runner-b5-sync
        connector_cluster_cluster: b5-sync
        connector_cluster_sync-queue-name: sync-queue-b5-sync
        connector_cluster_compaction-queue-name: compaction-queue-b5-sync
        connector_zookeeper_connect-url: ${deploy.runtime.connector-zk-url}
    - name: service-launcher-runner-a4
      source-jar: service-launcher-runner-b2a4-1.0.0-SNAPSHOT.jar
      replicas: 6
      environments:
        connector_hadoop_kerberos-principal: ${deploy.runtime.user}/$\{hostname}.hdp.dc@ECLD.COM
        connector_hadoop_kerberos-keytab-path: ${deploy.runtime.kerberos-keytab-path}
        connector_hudi_app-hdfs-path: ${deploy.runtime.hudi.app-hdfs-path}
        connector_hudi_archive-hdfs-path: ${deploy.runtime.hudi.archive-hdfs-path}
        connector_hudi_victoria-push-url: ${deploy.runtime.hudi.victoria-push-url}
        connector_hudi_loki-push-url: ${deploy.runtime.hudi.loki-push-url}
      arguments:
        spring_application_name: service-launcher-runner-a4
        connector_cluster_cluster: a4
        connector_cluster_sync-queue-name: sync-queue-a4
        connector_cluster_compaction-queue-name: compaction-queue-a4
        connector_zookeeper_connect-url: ${deploy.runtime.connector-zk-url}
    - name: service-launcher-runner-b12
      source-jar: service-launcher-runner-b2b12-1.0.0-SNAPSHOT.jar
      replicas: 6
      environments:
        connector_hadoop_kerberos-principal: ${deploy.runtime.user}/$\{hostname}.hdp.dc@ECLD.COM
        connector_hadoop_kerberos-keytab-path: ${deploy.runtime.kerberos-keytab-path}
        connector_hudi_app-hdfs-path: ${deploy.runtime.hudi.app-hdfs-path}
        connector_hudi_archive-hdfs-path: ${deploy.runtime.hudi.archive-hdfs-path}
        connector_hudi_victoria-push-url: ${deploy.runtime.hudi.victoria-push-url}
        connector_hudi_loki-push-url: ${deploy.runtime.hudi.loki-push-url}
      arguments:
        spring_application_name: service-launcher-runner-b12
        connector_cluster_cluster: b12
        connector_cluster_sync-queue-name: sync-queue-b12
        connector_cluster_compaction-queue-name: compaction-queue-b12
        connector_zookeeper_connect-url: ${deploy.runtime.connector-zk-url}
    - name: service-info-query
      source-jar: service-info-query-1.0.0-SNAPSHOT.jar
      replicas: 10
    - name: service-loki-query
      source-jar: service-loki-query-1.0.0-SNAPSHOT.jar
      replicas: 5
      arguments:
        spring_application_name: service-loki-query
        loki_host: ${deploy.runtime.loki.service-url}
    - name: service-loki-hudi-query
      source-jar: service-loki-query-1.0.0-SNAPSHOT.jar
      replicas: 10
      arguments:
        spring_application_name: service-loki-hudi-query
        loki_host: ${deploy.runtime.loki.hudi-url}
    - name: service-yarn-query
      source-jar: service-yarn-query-1.0.0-SNAPSHOT.jar
      replicas: 20
      arguments:
        yarn_web-urls_a4: http://132.121.107.91:8088
        yarn_web-urls_b1: http://132.122.98.13:8088
        yarn_web-urls_b4: http://132.122.112.30:8088
        yarn_web-urls_b5: http://132.122.116.12:8088
        yarn_web-urls_b5-sync: http://132.122.116.143:8088
    - name: service-pulsar-query
      source-jar: service-pulsar-query-1.0.0-SNAPSHOT.jar
      replicas: 10
    - name: service-zookeeper-query
      source-jar: service-zookeeper-query-1.0.0-SNAPSHOT.jar
      replicas: 10
      arguments:
        connector_zookeeper_connect-url: ${deploy.runtime.connector-zk-url}
    - name: service-web
      source-jar: service-web-1.0.0-SNAPSHOT.jar
      replicas: 3
    - name: service-hudi-query
      source-jar: service-hudi-query-1.0.0-SNAPSHOT.jar
      replicas: 20
    - name: service-flink-query
      source-jar: service-flink-query-1.0.0-SNAPSHOT.jar
      replicas: 10
    - name: service-cloud-query
      source-jar: service-cloud-query-1.0.0-SNAPSHOT.jar
      replicas: 5
    - name: service-executor-manager
      source-jar: service-executor-manager-1.0.0-SNAPSHOT.jar
      replicas: 5
      environments:
        connector_hadoop_kerberos-principal: ${deploy.runtime.user}/$\{hostname}.hdp.dc@ECLD.COM
        connector_hadoop_kerberos-keytab-path: ${deploy.runtime.kerberos-keytab-path}
      arguments:
        executor_staging-directory: ${deploy.runtime.executor.staging-path}
        executor_history-server-archive-dir: ${deploy.runtime.executor.archive-hdfs-path}
        executor_task-jar-path: ${deploy.runtime.executor.task-jar-path}
        executor_task-result-path: ${deploy.runtime.executor.task-result-path}
